This repository contains command line tools for handling patches. It uses the functions exposed by the [ssn](/swtor/ssn) library and makes them available for use on the shell.

# Installation
For this tool to work, `tsc` and `tslint` must be globally available, e.g. by running:

```bash
sudo npm install -g typescript tslint
```

Install dependencies and transpile the TypeScript files to JavaScript by running:

```bash
npm install && npm start
```

For a better command line experience, add the following to your `~/.bashrc` file:

```bash
alias swtor_install='node /path/to/installation/ssn-tools/dist/installPatch.js'

complete -W 'assets_swtor_de_de assets_swtor_en_us assets_swtor_fr_fr assets_swtor_main assets_swtor_test_de_de assets_swtor_test_en_us assets_swtor_test_fr_fr assets_swtor_test_main eualas movies_de_de movies_en_us movies_fr_fr patcher2014 patcher2017 retailclient_liveqatest retailclient_swtor retailclient_publictest' 'swtor_install'
```

# Usage

```bash
dist/getManifest.js --product assets_swtor_main
dist/getSolidPkg.js --product assets_swtor_main --from 126 --to 127
dist/getPatchZip.js --product assets_swtor_main --from 126 --to 127
dist/installPatch.js assets_swtor_main 126 127
swtor_install assets_swtor_main 126 127
```

# License

Copyright (C) 2018 Jedipedia.net

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
